MONGOC_READ_PREFS_GET_MAX_STALENESS_SECONDS(3)

NAME
mongoc_read_prefs_get_max_staleness_seconds - mongoc_read_prefs_get_max_staleness_seconds()

SYNOPSIS

        int64_t
        mongoc_read_prefs_get_max_staleness_seconds (
           const mongoc_read_prefs_t *read_prefs);

PARAMETERS

    •   read_prefs: A mongoc_read_prefs_t.

DESCRIPTION

Clients estimate the staleness of each secondary, and select for reads only those secondaries whose estimated staleness is less than or equal to maxStalenessSeconds. The default is MONGOC_NO_MAX_STALENESS.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc